### Constructor

# FwupdPlugin UdevDevice new

since: 2.0.0

#### Declaration [src]

    FuUdevDevice*
    fu_udev_device_new (
      FuContext* ctx,
      const gchar* sysfs_path
    )

#### Description [src]

Creates a new `FuUdevDevice`.

Available since: 2.0.0

#### Parameters

`ctx`

  Type: `FuContext`

  A `FuContext`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`sysfs_path`

  Type: `const gchar*`

  A sysfs path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuUdevDevice`

A `FuUdevDevice`.

The caller of the function takes ownership of the data, and is responsible for freeing it.